Skip to main content
POST
/
api
/
conversation
/
{conversationId}
/
send-message
Send a message to a conversation
curl --request POST \
  --url https://your-instance.example.com/api/conversation/{conversationId}/send-message \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data @- <<EOF
{
  "body": "Thanks for confirming, we'll follow up tomorrow.",
  "attachments": [
    {
      "url": "https://r2.example.com/messages/.../quote.pdf",
      "filename": "quote.pdf",
      "contentType": "application/pdf"
    }
  ],
  "isInternal": false
}
EOF
{
  "success": true,
  "message": {
    "_id": "67e0a0b0c0d0e0f0a0b0c0d1",
    "body": "Thanks for confirming, we'll follow up tomorrow.",
    "direction": "outbound",
    "senderType": "HUMAN",
    "createdAt": "2026-05-18T14:15:00.000Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

conversationId
string
required

Body

application/json
body
string
required

Message content

attachments
object[]
isInternal
boolean

Whether this is an internal/whisper message

Response

Message sent

success
boolean
message
object